<?php

namespace Drp\JsonApi;

use Drp\JsonApi\Auth\PassportAuthRepository;
use Illuminate\Hashing\HashManager;
use Illuminate\Support\ServiceProvider as BaseServiceProvider;
use Laravel\Passport\Bridge\UserRepository;

class ServiceProvider extends BaseServiceProvider
{
    public function register()
    {
        $this->app->bind(UserRepository::class, function ($app) {
            return new PassportAuthRepository($app['auth'], $app[HashManager::class]);
        });

        $this->publishes([
            __DIR__.'/../config/api.php' => config_path('api.php'),
        ]);
    }
}
